package p04_instrukcje;

import java.util.Scanner;

/* Parkowanie kosztuje 3 zł za godzinę.
 Program pyta o liczbę godzin parkowania i na tej podstawie oblicza kwotę do zapłaty.
 Następnie W PĘTLI:
  - program wypisuje ile pozostało do zapłaty
  - program prosi o wrzucenie kolejnej monety
 aż zostanie wpłacona wymagana suma.

Jeśli należy się reszta, to program wypisuje ile reszty wydaje.
*/
public class Parkomat {
    public static void main(String[] args) {
        final int cena = 3;
        Scanner scanner = new Scanner(System.in);
        System.out.print("Podaj liczbę godzin parkowania: ");
        int ileGodzin = scanner.nextInt();
        int doZaplaty = ileGodzin * cena;
        int sumaWplat = 0;
        while (sumaWplat < doZaplaty) {
            System.out.println("Wpłacono " + sumaWplat + ", do zapłaty pozostało " + (sumaWplat - doZaplaty));
            System.out.print("Wrzuć monetę: ");
            sumaWplat += scanner.nextInt();
        }
        if(sumaWplat > doZaplaty) {
            System.out.println("Reszta: " + (doZaplaty - sumaWplat));
        }
        System.out.println("Do widzenia");
    }
}
